//
//
// RomeoDemo.C
//
// 

#include <iomanip>
#include "TMath.h"
#include "TUnixSystem.h"
#include "TRandom.h"
#include "TStyle.h"
//#include "../include/I3OMAnalog.h"
//#include "../include/RMOQuickPhotonPropagator.h"
//#include "../include/RMOPhotonBuf.h"
//#include "../include/RMOOpticalPhoton.h"

//TFile foutp;

int RMOGlassGel()
{

  gROOT->Reset();

  gSystem->Load("libPhysics.so");
  gSystem->Load("libGeom.so");
  gSystem->Load("../lib/libRMONumericalRecipes.so");
  gSystem->Load("../lib/libRMOKernel.so");
  gSystem->Load("../lib/libRMOGlassGel.so");
  gSystem->Load("../lib/libRMOPMT.so");
  gSystem->Load("../lib/libI3OMAnalog.so");
    
  gStyle->SetOptStat(0);
  gStyle->SetPalette(1);
  gStyle->SetCanvasColor(33);
  gStyle->SetFrameFillColor(18);
  
  // create modules ...
  

  I3OMAnalog               *omanalog = new I3OMAnalog();  
  RMOWaveLengthSimulator   *wlsim    = new RMOWaveLengthSimulator();
  RMOQuickPhotonPropagator *phprop   = new RMOQuickPhotonPropagator();

  // set verbose...
  // 0 : no output
  // 1 : default
  // 2 : function called
  // 3 : precise
  // 4 : debug

  omanalog->SetVerboseLevel(4);
  wlsim->SetVerboseLevel(4);
  phprop->SetVerboseLevel(4);

  // add modules...
  
  omanalog->Add(wlsim);
  omanalog->Add(phprop);

  // configure...

  omanalog->ExecuteTask("Configure");

  // process...

  Int_t evt = 0;
  RMOMCPhotonHitBuf hitarray;
  Int_t maxevt = 200;
  for(evt=0; evt<maxevt; evt++){

    Double_t tau  = 5.e-9;   // 5ns
    Double_t time = gRandom->Exp(tau);
    Double_t dist = 50;      // 50m
    //TVector3 dir(-1, -1, 0);
    //TVector3 dir(-1, 0, -1);
    //TVector3 dir(0, -1, -1);
    TVector3 dir(1, 0, -1);

    RMOMCPhotonHit *hit = new RMOMCPhotonHit();
    hit->SetTime(time);
    hit->SetDirection(dir);
    hit->SetDistanceFromSource(dist);
    hitarray.Add(hit);
  }
  omanalog->SetBuffer(&hitarray);
  omanalog->ExecuteTask("Process");

  // Draw...

  omanalog->ExecuteTask("Draw");

  // finish...

  omanalog->ExecuteTask("Finish");


  //TString outname(fname);
  //outname += ".root";
  //cerr << "outputname = " << outname << endl;
  //foutp = new TFile(outname,"RECREATE");

  //foutp->Write();
}



