// $Id: I3OMAnalog.cxx,v 1.5 2004/10/05 20:00:54 hoshina Exp $
//*************************************************************************
//* --------------------
//* I3OMAnalog
//* --------------------
//* (Description)
//*	Analog Optical Module class
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "I3OMAnalog.h"
#include <iostream>

ClassImp(I3OMAnalog)

using namespace std;

//=====================================================================
//* constructor -------------------------------------------------------

I3OMAnalog::I3OMAnalog(const char *name, const char *title)
           : RMOVModule(name,title)
{
}

//=====================================================================
//* destructor --------------------------------------------------------

I3OMAnalog::~I3OMAnalog()
{
}

//=====================================================================
//* Process -----------------------------------------------------------

void I3OMAnalog::Process()
{

}


//=====================================================================
//* OutputWaveForm ----------------------------------------------------

Int_t I3OMAnalog::OutputWaveForm(TObject *outputbuf)
{

//*-*-*-*-*-*-*-*-*-*-*-*-*-*Output Waveforms*-*-*-*-*-*-*-*-*-*-*-*-*-*
//                           ================

   Int_t errcode = 0;
   const char* name = outputbuf->ClassName();
   VerbosePrint(TString("I3OMAnalog::OutputWaveForm: bufclass = ") 
                += name, kDEBUG);

   if (outputbuf) delete outputbuf;
   
   if (name == "RMOPMTWaveFormBuf") {
      RMOVModule *wfm = (RMOVModule *)GetListOfTasks()->Last();
      outputbuf = new RMOPMTWaveFormBuf((RMOPMTWaveFormBuf &)wfm->GetBuffer());
   }

   return errcode;

}

