// $Id: I3OMAnalog.h,v 1.3 2004/10/05 20:00:54 hoshina Exp $
#ifndef __I3OMAnalog__H__
#define __I3OMAnalog__H__

//*************************************************************************
//* ---------------------
//* I3OMAnalog Class
//* ---------------------
//* (Description)
//*     Analog Optical Module class. Add sub-modules to this class.
//* (Requires)
//* (Provides)
//*	I3OMAnalog              : Analog OM class
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include <TF1.h>
#include <TObjArray.h>
#include "RMOVModule.h"
#include "RMOVBuffer.h"
#include "RMOMCPhotonHitBuf.h"
#include "RMOPhotonBuf.h"
#include "RMOPMTPEBuf.h"
#include "RMOPMTChargeBuf.h"
#include "RMOPMTWaveFormBuf.h"

class I3OMAnalog : public RMOVModule {

public:

  I3OMAnalog(const Char_t *name = "I3OMAnalog", 
             const Char_t *title = "OM Analog Module");
  virtual ~I3OMAnalog();

          void Construct() {}
  virtual void Configure(){};
  virtual void Process();
  virtual void Finish() {}; 
  virtual void Draw()  {}; 

  Int_t ReadPhotonHits(TObject* inputbuf)     { return 0; }  // interface from PhotonHitsVector
  Int_t OutputWaveForm(TObject* outputbuf);                  // interface to DOM Digitization 

  virtual const TObject &GetBuffer() const { return *fStartBuffer; }   
  virtual void  SetBuffer(TObject *b)      { fStartBuffer = b; }   


private:

  TObject *fStartBuffer;              // pointer to start buffer, don't delete it.

  ClassDef(I3OMAnalog, 1)             // OM analog simulation module 

};


//=========================================================
// inline functions
//=========================================================


#endif
