// $Id: RMOMCPhotonHit.h,v 1.2 2004/10/05 18:32:07 hoshina Exp $
#ifndef __RMOMCPhotonHit__H__
#define __RMOMCPhotonHit__H__

//*************************************************************************
//* ---------------------
//* RMOMCPhotonHit Class
//* ---------------------
//* (Description)
//*     Monte-Carlo hit time datum class
//* (Requires)
//* (Provides)
//*	RMOMCPhotonHit              : hit class 
//* (Update Record)
//*	2004/09/22  K.Hoshina	Original version.
//*************************************************************************
#include "TCanvas.h"
#include "TVector3.h"
#include "RMOVDatum.h"
#include "RMOUnit.h"

class RMOMCPhotonHit : public RMOVDatum {

public:

  RMOMCPhotonHit(): RMOVDatum(), fTime(0), fDistance(0) {}

  virtual ~RMOMCPhotonHit() {}

  virtual void     DumpInfo(Option_t *opt) {}

  virtual TVector3 GetDirection() const              { return fDirection; }
  virtual Double_t GetDistanceFromSource() const     { return fDistance; }
  virtual Double_t GetTime() const                   { return fTime; }
  virtual void     SetDirection(TVector3 d)          { fDirection = d; }
  virtual void     SetDistanceFromSource(Double_t d) { fDistance = d; }
  virtual void     SetTime(Double_t t)               { fTime = t; }

private:

private:

  Double_t fTime;         // hit time
  Double_t fDistance;     // Distance from right source
  TVector3 fDirection;    // direction of right source

  ClassDef(RMOMCPhotonHit, 1)    // MC hit time datum class

};

#endif
