// $Id: RMOAttVerbose.h,v 1.3 2004/10/05 18:16:35 hoshina Exp $
#ifndef __RMOAttVerbose__H__
#define __RMOAttVerbose__H__

//*************************************************************************
//* ---------------------
//* RMOAttVerbose Class
//* ---------------------
//* (Description)
//*     Attribute class to add a verbose level to base classes.
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2004/06/09  K.Hoshina	Original version.
//*************************************************************************

#include <iostream>
#include "TString.h"
#include "RMOEnumDef.h"

class RMOAttVerbose {

public:

   RMOAttVerbose() : fVerboseLevel(kDEFAULT) {}

   virtual ~RMOAttVerbose(){}

   inline virtual void           SetVerboseLevel(EVerboseLevel n)  { fVerboseLevel = n; }
   inline virtual EVerboseLevel  GetVerboseLevel() const   { return fVerboseLevel; } 
   virtual void   VerbosePrint(const TString &txt, EVerboseLevel flag);

private:

   EVerboseLevel      fVerboseLevel;     // verbose level

   ClassDef(RMOAttVerbose, 1)       // attribute class of verbose level
 
};

#endif

