// $Id: RMOPoint.cxx,v 1.1.1.1 2004/08/06 02:42:02 hoshina Exp $
//*************************************************************************
//* --------------------
//* RMOPoint
//* --------------------
//* (Description)
//*	General point class. 
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "RMOPoint.h"

ClassImp(RMOPoint)

using namespace std;

//=====================================================================
//* constructor -------------------------------------------------------

RMOPoint::RMOPoint()
        :TObject(), fTime(0)
{
}

RMOPoint::RMOPoint(const TVector3 &fPosition, const TVector3 &fDirection,
                   Double_t time)
        :TObject(), fPosition(fPosition), 
         fDirection(fDirection), fTime(time)
{
//*-*-*-*-*-*-*-*-*-*Constructor for point*-*-*-*-*-*-*-*-*-*-*
//*-*               ======================
}

//=====================================================================
//* destructor --------------------------------------------------------

RMOPoint::~RMOPoint()
{
//*-*-*-*-*-*-*-*-*-*Destructor for point*-*-*-*-*-*-*-*-*-*-*
//*-*               ======================
}

//=====================================================================
//* Output     --------------------------------------------------------

void RMOPoint::Output(ofstream &out)
{
//*-*-*-*-*-*-*-*-*Output datamember to the &out ofstream*-*-*-*-*-*
//*-*              ======================================

   out << "position  : " << fPosition.X() << " " << fPosition.Y() 
                         << " " << fPosition.Z() << endl;
   out << "direction : " << fDirection.X() << " " << fDirection.Y() 
                         << " " << fDirection.Z() << endl;
   out << "time      : " << fTime << endl;

}




