// $Id: RMOPoint.h,v 1.1.1.1 2004/08/06 02:42:02 hoshina Exp $
#ifndef __RMOPoint__H__
#define __RMOPoint__H__

//*************************************************************************
//* ---------------------
//* RMOPoint Class
//* ---------------------
//* (Description)
//*     simple point class  
//* (Requires)
//* (Provides)
//*	RMOPoint              : simple point class
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include "TObject.h"
#include "TVector3.h"
#include <iostream>
#include <fstream>

class RMOPoint : public TObject {

public:

  RMOPoint();
  RMOPoint(const TVector3 &pos, const TVector3 &dir, Double_t time = 0);
  virtual ~RMOPoint();

  virtual void     AppendTime(Double_t dt)    { fTime += dt;      }
  virtual TVector3 GetDirection() const       { return fDirection; }
  virtual TVector3 GetPosition()  const       { return fPosition;  } 
  virtual Double_t GetTime()      const       { return fTime;      }
  virtual void     Output(ofstream &out); 
  virtual void     SetDirection(TVector3 dir) { fDirection = dir; }
  virtual void     SetPosition(TVector3 pos)  { fPosition = pos;  } 
  virtual void     SetTime(Double_t t)        { fTime = t;        }

private:

  TVector3  fPosition;      // position of the point
  TVector3  fDirection;     // direction of the velocity of the point
  Double_t  fTime;          // time stamp of the point

  ClassDef(RMOPoint, 1)    // simple point class

};

#endif

