// $Id: RMOUnit.h,v 1.5 2004/10/04 03:33:43 hoshina Exp $
#ifndef __RMOUnitDef__H__
#define __RMOUnitDef__H__

//*************************************************************************
//* ---------------------
//* RMOUnitDef 
//* ---------------------
//* (Description)
//*	Define units here.
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include "Rtypes.h"
#include "TMath.h"

  // Basic units (SI)

  static const Double_t   kMETER        = 1.;                 //  meter
  static const Double_t   kNANO_METER   = (1.e-9 * kMETER);   //  nm to m
  static const Double_t   kMICRO_METER  = (1.e-6 * kMETER);   //  um to m
  static const Double_t   kMILLI_METER  = (1.e-3 * kMETER);   //  mm to m
  static const Double_t   kCENTI_METER  = (1.e-2 * kMETER);   //  cm to m
  static const Double_t   kKILO_METER   = (1.e+3 * kMETER);   //  km to m

  static const Double_t   kCHARGE   = 1.60217733e-19;         //  electron charge
                                                              //  magnitude

  static const Double_t   kRADIAN = 1.;                       //  radian
  static const Double_t   kDEGREE = (TMath::Pi() / 180 * kRADIAN); // degree to radian

  static const Double_t   kSECOND       = 1.;                 //  sec
  static const Double_t   kNANO_SECOND  = (1.e-9 * kSECOND);  //  ns to sec
  static const Double_t   kMICRO_SECOND = (1.e-6 * kSECOND);  //  us to sec
  static const Double_t   kMILLI_SECOND = (1.e-3 * kSECOND);  //  ms to sec

  static const Double_t   kVOLT         = 1.;                 //  V 
  static const Double_t   kMILLI_VOLT   = 1.e-3 * kVOLT;      //  mV to V
  static const Double_t   kMICRO_VOLT   = 1.e-6 * kVOLT;      //  mV to V
  static const Double_t   kNANO_VOLT    = 1.e-9 * kVOLT;      //  mV to V

  static const Double_t   kOHM          = 1.;                 //  Ohm

  static const Double_t   kPERCENT      = 1.e+2;              // percent 

#endif
