// $Id: RMOVAttBuffer.h,v 1.2 2004/10/05 18:16:35 hoshina Exp $
#ifndef __RMOVAttBuffer__H__
#define __RMOVAttBuffer__H__

//*************************************************************************
//* ---------------------
//* RMOVAttBuffer Class
//* ---------------------
//* (Description)
//*     Abstract attribute class for data buffer
//* (Requires)
//* (Provides)
//*	RMOVAttBuffer              : base class for buffer
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include "TObjArray.h"

class RMOVAttBuffer {

public:

  RMOVAttBuffer();
  virtual ~RMOVAttBuffer();

  virtual void   Add(TObject *obj)               { fArray.Add(obj); }
  virtual void   DumpInfo(Option_t *opt="") = 0;
  virtual Int_t  GetEntries() const              { return fArray.GetEntries(); }
  virtual TIter  GetIter(Bool_t direction = kIterForward) const;
  virtual Bool_t IsOwner() const                 { return fArray.IsOwner(); }
  virtual void   SetOwner(Bool_t enable = kTRUE) { fArray.SetOwner(enable); }


protected:
  virtual TObjArray * GetArrayPtr()      { return &fArray; }

private:

  TObjArray   fArray;              // data buffer array

  ClassDef(RMOVAttBuffer, 1)       // abstract base class for datum 

};

#endif

