// $Id: RMOVFunction.cxx,v 1.2 2004/10/05 18:16:35 hoshina Exp $
//*************************************************************************
//* --------------------
//* RMOVFunction
//* --------------------
//* (Description)
//*	Abstract base class for TF1 based function. 
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "RMOVFunction.h"

ClassImp(RMOVFunction)

using namespace std;

// static member

RMOVFunction* RMOVFunction::fgCurFunc = 0;


// global function

static Double_t ExecuteFunction(Double_t *x, Double_t *par) {

   return RMOVFunction::GetCurrentFunction()->Function(x, par);   

}

//=====================================================================
//* constructor -------------------------------------------------------

RMOVFunction::RMOVFunction(const char *name, Double_t xmin,
                           Double_t xmax, Int_t npar)
       			: TF1(name, ExecuteFunction, xmin, xmax, npar)
{
//*-*-*-*-*-*-*-*-*-*Constructor for module*-*-*-*-*-*-*-*-*-*-*
//                  =======================
 
   fgCurFunc = this;

}

//=====================================================================
//* destructor --------------------------------------------------------

RMOVFunction::~RMOVFunction()
{
//*-*-*-*-*-*-*-*-*-*Destructor for module*-*-*-*-*-*-*-*-*-*-*
//                   =====================
}

//=====================================================================
//* overridden functions -----------------------------------------------

//______________________________________________________________________________
Double_t RMOVFunction::Eval(Double_t x, Double_t y, Double_t z, Double_t t)
{
   fgCurFunc = this; 
   return TF1::Eval(x, y, z, t);
}

//______________________________________________________________________________
Double_t RMOVFunction::EvalPar(const Double_t *x, const Double_t *params)
{
   fgCurFunc = this; 
   return TF1::EvalPar(x, params);
}

