#ifndef __Interpolation__H__
#define __Interpolation__H__

//*************************************************************************
//* ---------------------
//* Interpolation Class
//* ---------------------
//* (Description)
//*     Interpolating data points based on the Numerical Recipes.
//*     Ported originally from the JULIeT numRecipes package written by Java
//* (Requires)
//* (Provides)
//*	Interpolation              : static methods for interpolation
//* (Update Record)
//*	2004/8/13(FRIday!!)  S.Yoshida	C++ version.
//*************************************************************************

#include <TNamed.h>
#include <TArrayD.h>
#include <iostream>

class Interpolation : public TNamed {
 

 public:
  static Int_t SearchIndex(const TArrayD& xx, 
			 const Double_t x, const Int_t n);
  static Double_t PolynominalInterpolate(const TArrayD& xa,				 
					 const TArrayD& ya, 
					 const Int_t n,
					 const Double_t x);
  static Double_t GetErrorInPolynominalInterpolate( );
  static Double_t MThPolynominalInterpolate(const TArrayD& xa, const TArrayD& ya, 
					    Int_t n, 
					    Double_t x, 
					    Int_t m);

 private:
  static Double_t fDelta;
  ClassDef(Interpolation, 1)     //

};

#endif
