// $Id: RMOPMTChargeDatum.h,v 1.2 2004/10/05 19:58:29 hoshina Exp $
#ifndef __RMOPMTChargeDatum__H__
#define __RMOPMTChargeDatum__H__

//*************************************************************************
//* ---------------------
//* RMOPMTChargeDatum Class
//* ---------------------
//* (Description)
//*     Datum class for RMOPMTChargeResponse.
//* (Requires)
//* (Provides)
//*	RMOPMTChargeDatum              : Charge datum class
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include <RMOVDatum.h>

class RMOPMTChargeDatum : public RMOVDatum {

public:

  RMOPMTChargeDatum() : RMOVDatum(){}
  RMOPMTChargeDatum(Double_t charge, Double_t time)
                   : RMOVDatum(), fCharge(charge), fTime(time) {}

  virtual ~RMOPMTChargeDatum() {}

  virtual void     DumpInfo(Option_t *opt) {}
  inline Double_t  GetCharge()   { return fCharge;     }
  inline Double_t  GetTime()     { return fTime;     }


private:

  Double_t fCharge;    // gained charge
  Double_t fTime;      // time at charge output  

  ClassDef(RMOPMTChargeDatum, 1)    // Charge datum class

};

#endif
